wibble::tests::ActualString Struct Reference

`#include <tests.h>`

Inheritance diagram for wibble::tests::ActualString:
[legend]
Collaboration diagram for wibble::tests::ActualString:
[legend]

## Public Member Functions

| ActualString (const std::string &s)
TestEquals< std::string, std::string > | operator== (const std::string &expected) const
TestEquals< std::string, std::string > | operator!= (const std::string &expected) const
TestIsLt< std::string, std::string > | operator< (const std::string &expected) const
TestIsLte< std::string, std::string > | operator<= (const std::string &expected) const
TestIsGt< std::string, std::string > | operator> (const std::string &expected) const
TestIsGte< std::string, std::string > | operator>= (const std::string &expected) const
TestStartsWith | startswith (const std::string &expected) const
TestEndsWith | endswith (const std::string &expected) const
TestContains | contains (const std::string &expected) const
TestRegexp | matches (const std::string &regexp) const
TestFileExists | fileexists () const
Public Member Functions inherited from wibble::tests::Actual< std::string >
| Actual (const std::string &actual)
| ~Actual ()
TestEquals< std::string, E > | operator== (const E &expected) const
TestEquals< std::string, E > | operator!= (const E &expected) const
TestIsLt< std::string, E > | operator< (const E &expected) const
TestIsLte< std::string, E > | operator<= (const E &expected) const
TestIsGt< std::string, E > | operator> (const E &expected) const
TestIsGte< std::string, E > | operator>= (const E &expected) const
TestBool< std::string > | istrue () const
TestBool< std::string > | isfalse () const

## Additional Inherited Members

Public Attributes inherited from wibble::tests::Actual< std::string >
std::string | actual

## Constructor & Destructor Documentation

wibble::tests::ActualString::ActualString | ( | const std::string & | s | ) |

inline

## Member Function Documentation

TestContains wibble::tests::ActualString::contains | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestEndsWith wibble::tests::ActualString::endswith | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestFileExists wibble::tests::ActualString::fileexists | ( |  | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestRegexp wibble::tests::ActualString::matches | ( | const std::string & | regexp | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestEquals<std::string, std::string> wibble::tests::ActualString::operator!= | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestIsLt<std::string, std::string> wibble::tests::ActualString::operator< | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestIsLte<std::string, std::string> wibble::tests::ActualString::operator<= | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestEquals<std::string, std::string> wibble::tests::ActualString::operator== | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestIsGt<std::string, std::string> wibble::tests::ActualString::operator> | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestIsGte<std::string, std::string> wibble::tests::ActualString::operator>= | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

TestStartsWith wibble::tests::ActualString::startswith | ( | const std::string & | expected | ) | const

inline

References wibble::tests::Actual< std::string >::actual.

The documentation for this struct was generated from the following file:

- tests.h